query listTaskComments @auth(level: USER) {
  taskComments {
    id
    taskId
    teamMemberId
    comment
    isSystem
    createdAt

    teamMember{
      
      user {
        fullName
        email
      }
      
    }

  }
}

query getTaskCommentById($id: UUID!) @auth(level: USER) {
  taskComment(id: $id) {
    id
    taskId
    teamMemberId
    comment
    isSystem
    createdAt

    teamMember{
      
      user {
        fullName
        email
      }

    }

  }
}

query getTaskCommentsByTaskId($taskId: UUID!) @auth(level: USER) {
  taskComments(where: { taskId: { eq: $taskId } }) {
    id
    taskId
    teamMemberId
    comment
    isSystem
    createdAt

    teamMember{
      
      user {
        fullName
        email
      }
      
    }

  }
}
